'' Tilt Control Demo for PSM
'' By Jeff Ledger/OBC


CON
  _clkmode = xtal1 + pll16x
  _xinfreq =5_000_000


  Sensativity=7 ''Decrease this number slightly to increase sensativity

OBJ

  text : "PSM_tv_text"
  i2c  : "PSM_i2cDriver"  

VAR
 byte fb
 byte ss
 
PUB start | forwardbackward,sidetoside,shake,a

  'start term
  text.start  'No parameters needed!
  dira[6]~


  
  text.str(string(13,13,13,13,13,"             "))
  text.str(string($C,5," Calibration ",$C,8,13,13))
  text.str(string("  Hold at veiwing angle & press button.",13))
  repeat until ina[6] == 0 

    'shake:=i2c.GetADC(3)
    
    waitcnt(clkfreq/2 + cnt)
    fb:=i2c.GetADC(1)
    ss:=i2c.GetADC(2)
    text.locate(15,18)
    text.str(string("   "))
    text.locate(15,18)
    text.dec(fb)
    text.locate(16,18)
    text.str(string("   "))
    text.locate(16,18)
    text.dec(ss)

  text.out(0)

  text.str(string("           Tilt Control Demo"))
  
  repeat
    forwardbackward:=i2c.getADC(1)
    sidetoside:=i2c.getADC(2)
    text.locate(10,1)
    text.str(string("                 "))

     if forwardbackward == fb + Sensativity
       text.locate(10,1)
       text.str(string("Forward"))
       waitcnt(clkfreq/2 + cnt) 
         
     if forwardbackward == fb - Sensativity +2
       text.locate(10,1)
       text.str(string("Backward"))
       waitcnt(clkfreq/2 + cnt)

     if sidetoside == ss - Sensativity +2
       text.locate(10,1)
       text.str(string("Right"))
       
       waitcnt(clkfreq/2 + cnt)
     if sidetoside == ss + Sensativity -2
       text.locate(10,1)
       text.str(string("Left"))
       waitcnt(clkfreq/2 + cnt)



  